<?php
/*
 * Copyright (C) 2018 josh.north@point808.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace App\LobbySIO\Language;
use App\LobbySIO\Config\Registry;

/**
 * Language return
 *
 * @author josh.north
 */
class Translate {
  private $UserLng;
  private $langSelected;
  public $lang = array();
  public function __construct($userLanguage){
    $this->UserLng = $userLanguage;
    if(file_exists(Registry::DIRPATH . 'src/Language/'. $this->UserLng . '.lang.ini.example')){ $example = parse_ini_file(Registry::DIRPATH . 'src/Language/'. $this->UserLng . '.lang.ini.example'); };
    if(file_exists(Registry::DIRPATH . 'src/Language/'. $this->UserLng . '.lang.ini')){ $custom = parse_ini_file(Registry::DIRPATH . 'src/Language/'. $this->UserLng . '.lang.ini'); };
    if(isset($example)&&isset($custom)){$this->lang = array_merge($example,$custom);}
    elseif(!isset($custom)){$this->lang = array_merge($example);}
    elseif(!isset($example)){$this->lang = array_merge($custom);}
  }
  public function userLanguage(){
    return $this->lang;
  }

}
